Skip to main content
GET
Get an Access Rule by name (V2)

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

company_slug
string
required

Company slug.

access_rule_name
string
required

Access rule name.

Response

200 - application/json

OK

id
integer
required

Unique identifier for the access rule.

company_id
integer<int64>
required

The id of an existing company

Example:

345

company_name
string
required

Name of the company that owns this rule.

data_plane_id
string<uuid>
required

The data plane the access rule belongs to. A rule can only be queried from this data plane.

status
enum<string>
required

Indicates the status of the access rule.

At the moment the only valid status is active.

Available options:
active
price_cpm_usd
number<double>
required

How much to charge for a row which matches this access rule. Cost per mille (CPM), more commonly called “cost per thousand,” is how much a buyer pays for 1,000 records.

metadata
object
required

An NQL policy describing which columns of which datasets are targeted by an access rule

type
enum<string>
required

Indicates the ownership of the access rule.

Available options:
owned
mappings
object[]
required

Attributes that are mapped to columns referenced by this access rule. For each mapped attribute, properties lists the attribute property paths that are exposed by the rule.

name
string | null

It should be unique. Also should not intersect with Dataset names. Must be <= 256 characters and consist of only alphanumeric characters and underscores.

company_slug
string | null

Optional. Unique slug assigned to company.

display_name
string | null

Optional. Display Name must be non-empty and less than 1000 chars.

description
string | null

A human-friendly description of the access rule.

image
string | null

Optional. Image url must be < 1000 characters, start from https://, ends with one of: jpg, apng, jpeg, jfif, pjpeg, webp, pjp, svg, avif, png, gif, bmp, tiff

tags
string[]

Optional. _nio_access_rule will be added even if not presented. Access Rule tag must be non-empty and less than 256 chars.

nql
string

NQL query of access rule.

schema
object

Schema describing a structure of View (Access Rule)

collaborators
object

Describes who can view or query a resource

dataset_ids
integer<int64>[]

All datasets that were used to form the data.

is_owned
boolean

Indicates if the query is owned by the user's own company.